org.apache.http.impl.conn

## Class DefaultResponseParser

- java.lang.Object
- - org.apache.http.impl.io.AbstractMessageParser<HttpMessage>
  - - org.apache.http.impl.conn.DefaultResponseParser

- All Implemented Interfaces:
    HttpMessageParser < HttpMessage >

  已过时。
  （4.2）使用`DefaultHttpResponseParser`

      @Deprecated
      @Contract(threading=SAFE_CONDITIONAL)
      public class DefaultResponseParser
      extends AbstractMessageParser<HttpMessage>

  默认HTTP响应解析器实现。

  以下参数可用于自定义此类的行为：

  - `CoreConnectionPNames.MAX_HEADER_COUNT`
  - `CoreConnectionPNames.MAX_LINE_LENGTH`
  - `ConnConnectionPNames.MAX_STATUS_LINE_GARBAGE`
  从以下版本开始：
    4

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.io.AbstractMessageParser

      `lineParser`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `DefaultResponseParser(SessionInputBuffer buffer, LineParser parser, HttpResponseFactory responseFactory, HttpParams params)` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getMaxGarbageLines(HttpParams params)` 已过时。
    `protected HttpMessage` | `parseHead(SessionInputBuffer sessionBuffer)` 已过时。

    - ### Methods inherited from class org.apache.http.impl.io.AbstractMessageParser

      `parse, parseHeaders, parseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 构造方法详细信息

    - #### DefaultResponseParser

          public DefaultResponseParser(SessionInputBuffer buffer,
                               LineParser parser,
                               HttpResponseFactory responseFactory,
                               HttpParams params)

      已过时。

  - ### 方法详细信息

    - #### getMaxGarbageLines

          protected int getMaxGarbageLines(HttpParams params)

      已过时。

    - #### parseHead

          protected HttpMessage parseHead(SessionInputBuffer sessionBuffer)
                                   throws IOException,
                                          HttpException

      已过时。
      Specified by:
        `parseHead`在 `AbstractMessageParser<HttpMessage>`
      异常
        `IOException`
        `HttpException`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585